package com.bjtdba.system.service;


import com.bjtdba.entity.system.SystemGroup;

import java.util.List;

/**
 * 组合数据表(SystemGroup)表服务接口
 *
 * @author makejava
 * @since 2022-10-16 09:28:38
 */
public interface SystemGroupService {

    /**
     * 通过ID查询单条数据
     *
     * @param groupId 主键
     * @return 实例对象
     */
    SystemGroup queryById(Integer groupId);

    /**
     * 分页查询
     *
     * @param systemGroup 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    List<SystemGroup> queryByPage(SystemGroup systemGroup);

    /**
     * 新增数据
     *
     * @param systemGroup 实例对象
     * @return 实例对象
     */
    SystemGroup insert(SystemGroup systemGroup);

    /**
     * 修改数据
     *
     * @param systemGroup 实例对象
     * @return 实例对象
     */
    SystemGroup update(SystemGroup systemGroup);

    /**
     * 通过主键删除数据
     *
     * @param groupId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer groupId);

}
